"""
general helper methods shared between envoy modules
"""
import random
import string


def generate_random_str() -> str:
    """
    Generates a random sequence of letters and digits of length 12

    :return: Random sequence of letters and digits of length 12
    """
    length = 12
    valid_chars = string.ascii_letters + string.digits
    return "".join(random.choices(valid_chars, k=length))
